Package com.verisign.epp.codec.maintenance.v1_0

## Class EPPMaintenanceId

- java.lang.Object
- - com.verisign.epp.codec.maintenance.v1_0.EPPMaintenanceId

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPMaintenanceId
      extends java.lang.Object
      implements EPPCodecComponent

  Server unique id for the maintenance with an optional human-readable description of the maintenance.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | XML Element Name of `EPPMaintenenceId` root element.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPMaintenanceId()` | Default constructor for `EPPMaintenenceId`.
    `EPPMaintenanceId​(java.lang.String aId)` | Constructor for `EPPMaintenenceId` that the takes the required id value.
    `EPPMaintenanceId​(java.lang.String aId, java.lang.String aName, java.lang.String aNameLang)` | Constructor for `EPPMaintenenceId` that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPMaintenenceId`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPMaintenenceId` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPMaintenenceId` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPMaintenenceId` compare.
    `java.lang.String` | `getId()` | Gets the id value of the maintenance.
    `void` | `getId​(java.lang.String aId)` | Sets the id value of the maintenance.
    `java.lang.String` | `getName()` | Gets the human-readable name of the maintenance.
    `java.lang.String` | `getNameLang()` | Gets the name language value.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `hasName()` | Is the name defined?
    `boolean` | `hasNameLang()` | Is the name language defined with a non-default value?
    `void` | `setName​(java.lang.String aName)` | Sets the human-readable name of the maintenance without having to create an external resource.
    `void` | `setNameLang​(java.lang.String aNameLang)` | Sets the name language value.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPMaintenenceId` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPMaintenanceId

          public EPPMaintenanceId()

      Default constructor for `EPPMaintenenceId`. The id attribute must be set using `setId` before invoking `encode(Document)`.

    - #### EPPMaintenanceId

          public EPPMaintenanceId​(java.lang.String aId)

      Constructor for `EPPMaintenenceId` that the takes the required id value.
      Parameters:
        `aId` - Id value for the maintenance

    - #### EPPMaintenanceId

          public EPPMaintenanceId​(java.lang.String aId,
                                  java.lang.String aName,
                                  java.lang.String aNameLang)

      Constructor for `EPPMaintenenceId` that takes all attributes.
      Parameters:
        `aId` - Id value for the maintenance
        `aName` - Optional id description that provides a human-readable description of the maintenance. Set to `null` to undefine.
        `aNameLang` - Optional id description language. Set to `null` to undefine.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id value of the maintenance.
      Returns:
        Maintenance id value if defined; `null` otherwise.

    - #### getId

          public void getId​(java.lang.String aId)

      Sets the id value of the maintenance.
      Parameters:
        `aId` - Id value of the maintenance

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the human-readable name of the maintenance.
      Returns:
        The human-readable name of the maintenance if defined; `null` otherwise.

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the human-readable name of the maintenance without having to create an external resource.
      Parameters:
        `aName` - Free-form name of the maintenance without having to create an external resource.

    - #### hasNameLang

          public boolean hasNameLang()

      Is the name language defined with a non-default value?
      Returns:
        `true` if the name language is defined; `false` otherwise.

    - #### getNameLang

          public java.lang.String getNameLang()

      Gets the name language value.
      Returns:
        Name language if defined; `DEFAULT_LANG` otherwise.

    - #### setNameLang

          public void setNameLang​(java.lang.String aNameLang)

      Sets the name language value.
      Parameters:
        `aNameLang` - Name language.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPMaintenenceId` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPMaintenenceId` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPMaintenenceId` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPMaintenenceId` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPMaintenenceId` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPMaintenenceId` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPMaintenenceId` instance to compare with
      Returns:
        `true` if `aObject` is equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPMaintenenceId`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPMaintenenceId`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.